Help needed with: "file type Gzip archive is not supported"


#1

I’ve downloaded the Ltc core wallet on Ubuntu 16.04, 32bit. When I try opening the folder, a message tells me ‘file type Gzip archive is not supported’. So I downloaded Xarchiver and tried again, with the same result. Thoughts, anybody? And yes: I’m a bit of a noob.